<?php
namespace Claromentis\People\Subscriber;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_104d2e65fd6a1" . "2ea47809e77989" . "4b517" => base64_decode("T25EZWx" . "ldGVVc2" . "Vy"), "_cceb787dafa9ce5ed8b59ce74f" . "d08543" => base64_decode("YXBwc19yZWFzc2l" . "nbg=="), "_8973800324bb90d3" . "7ffd58aa1c2b1e02" => base64_decode("cmVhc3NpZ2" . "5fdG8="));
use ClaPlugins;
use Claromentis\People\Event\DeleteUserEvent;
use Claromentis\People\Event\PeopleEventType;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;






class DeleteSubscriber implements EventSubscriberInterface
{
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [PeopleEventType::DELETE_USER => [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_104d2e65f" . "d6a12ea478" . "09e779894b" . "517"], 100]];
    }
    public function OnDeleteUser(DeleteUserEvent $event)
    {
        $user_id = $event->GetUserId();
        if (!$user_id) {
            return;
        }
        $_b1871640a171314067a68a2389e3477c = $event[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_8973800324bb90d37ffd58aa1c2b1e" . "02"]] ?? null;
        $_cceb787dafa9ce5ed8b59ce74fd08543 = $event[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_cceb787dafa" . "9ce5ed8b59ce" . "74fd08543"]] ?? null;
        $_f13a90fb29e285af3b10509392510684 = new \Claromentis\People\UsersDelete($user_id);
        $_f13a90fb29e285af3b10509392510684->PrepareDelete($_b1871640a171314067a68a2389e3477c, $_cceb787dafa9ce5ed8b59ce74fd08543);
        $_f13a90fb29e285af3b10509392510684->CleanupSystem();
        $_f13a90fb29e285af3b10509392510684->DeleteAccount();
        ClaPlugins::I()->DeleteUser($user_id);
    }
}